﻿// Copyright (c) 2020 Tudor Stanciu

using Microsoft.EntityFrameworkCore;
using Microsoft.EntityFrameworkCore.Metadata.Builders;
using Tuitio.Domain.Entities;

namespace Tuitio.Domain.Data.EntityTypeConfiguration
{
    class UserXUserGroupConfiguration : IEntityTypeConfiguration<UserXUserGroup>
    {
        public void Configure(EntityTypeBuilder<UserXUserGroup> builder)
        {
            builder.ToTable("UserXUserGroup").HasKey(z => new { z.UserId, z.UserGroupId });
            builder.HasOne(z => z.UserGroup).WithMany().HasForeignKey(z => z.UserGroupId);
        }
    }
}
