﻿// Copyright (c) 2020 Tudor Stanciu

using Microsoft.EntityFrameworkCore;
using Microsoft.EntityFrameworkCore.Metadata.Builders;
using Tuitio.Domain.Entities;

namespace Tuitio.Domain.Data.EntityTypeConfiguration
{
    class UserXUserRoleConfiguration : IEntityTypeConfiguration<UserXUserRole>
    {
        public void Configure(EntityTypeBuilder<UserXUserRole> builder)
        {
            builder.ToTable("UserXUserRole").HasKey(z => new { z.UserId, z.UserRoleId });
            builder.HasOne(z => z.UserRole).WithMany().HasForeignKey(z => z.UserRoleId);
        }
    }
}
