﻿# Tuitio.Wrapper

[Tuitio](https://lab.code-rove.com/gitea/tudor.stanciu/tuitio) is a simple identity server implementation focused strictly on the needs of my home lab.

***Tuitio.Wrapper*** is a NuGet package that facilitates integration with a Tuitio instance in a .NET environment by registering a service called ITuitioService in the application's service collection.
It contains three methods, "Login", "Logout" and "Authorize", which are responsible for calling the appropriate methods from the API controller, ```/account/login```, ```/account/logout``` or ```/connect/authorize```. These methods provide a simple and convenient way for developers to handle authentication and authorization when communicating with Tuitio's API.
Once the package is installed, all the developer has to do is call the ```UseTuitioServices``` method at application startup. After this step, ITuitioService can be injected into any class in the application.


## Package repository
Tuitio.Wrapper can be installed from my self hosted NuGet feed: https://lab.code-rove.com/public-nuget-server/

## Installation

### Visual Studio

#### NuGet.config file
```xml=!
<?xml version="1.0" encoding="utf-8"?>
<configuration>
  <packageSources>
    <clear />
    <add key="nuget.org" value="https://api.nuget.org/v3/index.json" />
    <add key="lab.nuget" value="https://lab.code-rove.com/public-nuget-server/v3/index.json" />
  </packageSources>
</configuration>
```

Configure the above file in the Visual Studio solution or set the new NuGet feed in NuGet Package Manager. After one of this steps, Tuitio.Wrapper can be installed using NuGet Package Manager.


### CLI

```bash=!
dotnet add package Tuitio.Wrapper --source https://lab.code-rove.com/public-nuget-server/v3/index.json
```

Run the above command in a console open in a .NET project directory.