﻿// Copyright (c) 2020 Tudor Stanciu

using Microsoft.AspNetCore.Authentication;
using Microsoft.Extensions.DependencyInjection;
using Tuitio.Application.Abstractions;

namespace Tuitio.Authentication
{
    internal static class AuthenticationExtensions
    {
        public static IServiceCollection AddLocalAuthentication(this IServiceCollection services)
        {
            var scheme = "TuitioAuthentication";
            services.AddAuthentication(scheme)
                .AddScheme<AuthenticationSchemeOptions, AuthenticationHandler>(scheme, null);
            services.AddScoped<IHttpContextService, HttpContextService>();
            return services;
        }
    }
}
